AviatoAviato
DeveloperAPI ReferenceStreamProbeItemid

/api/stream/probe/{itemId}

GET
/api/stream/probe/{itemId}

Path Parameters

itemId*string

Library item ID

Query Parameters

fileId?string

Specific library file ID to stream. Falls back to primary file when omitted.

download?string

When set, responds with Content-Disposition: attachment to trigger a file download.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/stream/probe/string"
{
  "probe": {
    "format": "string",
    "duration": 0,
    "size": 0,
    "bitrate": 0,
    "videoStreams": [
      {
        "property1": null,
        "property2": null
      }
    ],
    "audioStreams": [
      {
        "property1": null,
        "property2": null
      }
    ],
    "subtitleStreams": [
      {
        "property1": null,
        "property2": null
      }
    ]
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}